Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.support.components
Class SimpleForm

    java.lang.Object
      com.eviware.soapui.support.components.SimpleForm

    public class SimpleForm

extends java.lang.Object

Utility-class for creating forms

Constructor Summary
`SimpleForm()`
`SimpleForm(com.jgoodies.forms.layout.FormLayout layout)`
`SimpleForm(int indent)`
`SimpleForm(java.lang.String layout)`

Method Summary
`void` | `addComponent(javax.swing.JComponent component)`
`void` | `addHiddenValue(java.lang.String name, java.lang.String value)`
`javax.swing.JButton` | `addRightButton(javax.swing.Action action)`
`void` | `addRightComponent(javax.swing.JComponent component)`
`void` | `addSpace()`
`void` | `addSpace(int size)`
`void` | `append(javax.swing.JComponent component)`
`void` | `append(java.lang.String label, javax.swing.JComponent component)`
`void` | `append(java.lang.String label, javax.swing.JComponent component, java.lang.String alignments)`
`javax.swing.JCheckBox` | `appendCheckBox(java.lang.String caption, java.lang.String label, boolean selected)`
`javax.swing.JComboBox` | `appendComboBox(java.lang.String label, javax.swing.ComboBoxModel model, java.lang.String tooltip)`
`javax.swing.JComboBox` | `appendComboBox(java.lang.String label, java.util.Map values)`
`javax.swing.JComboBox` | `appendComboBox(java.lang.String label, java.lang.Object[] values, java.lang.String tooltip)`
`void` | `appendFixed(java.lang.String label, javax.swing.JComponent component)`
`javax.swing.JTextField` | `appendPasswordField(java.lang.String label, java.lang.String tooltip)`
`void` | `appendSeparator()`
`javax.swing.JTextField` | `appendTextField(java.lang.String label, java.lang.String tooltip)`
`javax.swing.JComponent` | `getComponent(java.lang.String label)`
`java.lang.String` | `getComponentValue(java.lang.String label)`
`java.awt.Font` | `getLabelFont()`
`javax.swing.JPanel` | `getPanel()`
`java.lang.String` | `getRowAlignment()`
`int` | `getRowCount()`
`int` | `getRowSpacing()`
`void` | `getValues(java.util.Map<java.lang.String,java.lang.String> values)`
`void` | `setBorder(javax.swing.border.Border border)`
`void` | `setComponentValue(java.lang.String label, java.lang.String value)`
`void` | `setLabelFont(java.awt.Font labelFont)`
`void` | `setRowAlignment(java.lang.String rowAlignment)`
`void` | `setRowSpacing(int rowSpacing)`
`void` | `setValues(java.util.Map<java.lang.String,java.lang.String> values)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleForm

    public SimpleForm()

### SimpleForm

    public SimpleForm(java.lang.String layout)

### SimpleForm

    public SimpleForm(com.jgoodies.forms.layout.FormLayout layout)

### SimpleForm

    public SimpleForm(int indent)

Method Detail

### getPanel

    public javax.swing.JPanel getPanel()

### getRowAlignment

    public java.lang.String getRowAlignment()

### getLabelFont

    public java.awt.Font getLabelFont()

### setLabelFont

    public void setLabelFont(java.awt.Font labelFont)

### setRowAlignment

    public void setRowAlignment(java.lang.String rowAlignment)

### getRowSpacing

    public int getRowSpacing()

### setRowSpacing

    public void setRowSpacing(int rowSpacing)

### addHiddenValue

    public void addHiddenValue(java.lang.String name,
                               java.lang.String value)

### addRightButton

    public javax.swing.JButton addRightButton(javax.swing.Action action)

### addSpace

    public void addSpace()

### addSpace

    public void addSpace(int size)

### addRightComponent

    public void addRightComponent(javax.swing.JComponent component)

### appendCheckBox

    public javax.swing.JCheckBox appendCheckBox(java.lang.String caption,
                                                java.lang.String label,
                                                boolean selected)

### append

    public void append(java.lang.String label,
                       javax.swing.JComponent component)

### appendComboBox

    public javax.swing.JComboBox appendComboBox(java.lang.String label,
                                                java.util.Map values)

### appendComboBox

    public javax.swing.JComboBox appendComboBox(java.lang.String label,
                                                java.lang.Object[] values,
                                                java.lang.String tooltip)

### appendComboBox

    public javax.swing.JComboBox appendComboBox(java.lang.String label,
                                                javax.swing.ComboBoxModel model,
                                                java.lang.String tooltip)

### appendFixed

    public void appendFixed(java.lang.String label,
                            javax.swing.JComponent component)

### append

    public void append(java.lang.String label,
                       javax.swing.JComponent component,
                       java.lang.String alignments)

### appendSeparator

    public void appendSeparator()

### appendTextField

    public javax.swing.JTextField appendTextField(java.lang.String label,
                                                  java.lang.String tooltip)

### appendPasswordField

    public javax.swing.JTextField appendPasswordField(java.lang.String label,
                                                      java.lang.String tooltip)

### setComponentValue

    public void setComponentValue(java.lang.String label,
                                  java.lang.String value)

### getComponentValue

    public java.lang.String getComponentValue(java.lang.String label)

### getComponent

    public javax.swing.JComponent getComponent(java.lang.String label)

### setBorder

    public void setBorder(javax.swing.border.Border border)

### getRowCount

    public int getRowCount()

### addComponent

    public void addComponent(javax.swing.JComponent component)

### setValues

    public void setValues(java.util.Map<java.lang.String,java.lang.String> values)

### getValues

    public void getValues(java.util.Map<java.lang.String,java.lang.String> values)

### append

    public void append(javax.swing.JComponent component)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.